

Patch from Robert Love <rml@tech9.net>

Trivial fix for task_prio() in the case MAX_RT_PRIO != MAX_USER_RT_PRIO where
all priorities are skewed by (MAX_RT_PRIO - MAX_USER_RT_PRIO).  The fix makes
sense, as the full priority range is unrelated to the maximum user value. 
Only the real maximum RT value matters.

The object code is the same for the 99% of the people who do not touch the
real-time priority defines.



 kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~task_prio-fix kernel/sched.c
--- 25/kernel/sched.c~task_prio-fix	2003-03-08 21:55:51.000000000 -0800
+++ 25-akpm/kernel/sched.c	2003-03-08 21:55:51.000000000 -0800
@@ -1688,7 +1688,7 @@ asmlinkage long sys_nice(int increment)
  */
 int task_prio(task_t *p)
 {
-	return p->prio - MAX_USER_RT_PRIO;
+	return p->prio - MAX_RT_PRIO;
 }
 
 /**

_
